> ## Documentation Index
> Fetch the complete documentation index at: https://private-7c7dfe99-mintlify-a804b3ad.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 사용 가능한 조직 목록 조회

> 요청의 API Key와 연결된 단일 조직이 포함된 목록을 반환합니다.



## OpenAPI

````yaml /ko/_specs/cloud-openapi.json get /v1/organizations
openapi: 3.0.1
info:
  contact:
    email: support@clickhouse.com
    name: ClickHouse Support
    url: >-
      https://clickhouse.com/docs/en/cloud/manage/openapi?referrer=openapi-299828
  title: OpenAPI spec for ClickHouse Cloud
  version: '1.0'
servers:
  - url: https://api.clickhouse.cloud
security:
  - basicAuth: []
tags:
  - name: Organization
  - name: User management
  - name: Billing
  - name: Service
  - name: Backup
  - name: OpenAPI
  - name: Prometheus
  - name: ClickPipes
paths:
  /v1/organizations:
    get:
      tags:
        - Organization
      summary: 사용 가능한 조직 목록 조회
      description: 요청의 API Key와 연결된 단일 조직이 포함된 목록을 반환합니다.
      parameters: []
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  requestId:
                    description: 각 요청에 할당되는 고유 ID입니다. UUIDv4
                    format: uuid
                    type: string
                  result:
                    items:
                      $ref: '#/components/schemas/Organization'
                    type: array
                  status:
                    description: HTTP 상태 코드.
                    example: 200
                    type: number
                type: object
          description: 성공 응답
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    description: 상세 오류 설명.
                    type: string
                  status:
                    description: HTTP 상태 코드.
                    example: 400
                    type: number
                type: object
          description: 클라이언트 오류로 간주되는 사유로 인해 서버가 요청을 처리할 수 없거나 처리하지 않습니다.
components:
  schemas:
    Organization:
      properties:
        byocConfig:
          description: 조직의 BYOC 구성
          items:
            $ref: '#/components/schemas/ByocConfig'
          type: array
        createdAt:
          description: 조직이 생성된 timestamp입니다. ISO-8601 형식입니다.
          format: date-time
          type: string
        id:
          description: 고유한 조직 ID입니다.
          format: uuid
          type: string
        name:
          description: 조직 이름입니다.
          type: string
        privateEndpoints:
          description: 조직의 Private Endpoint 목록
          items:
            $ref: '#/components/schemas/OrganizationPrivateEndpoint'
          type: array
    ByocConfig:
      properties:
        accountName:
          description: 계정 이름
          type: string
        cloudProvider:
          description: 해당 리전의 클라우드 제공업체
          enum:
            - gcp
            - aws
            - azure
          type: string
        id:
          description: BYOC 구성의 고유 식별자
          type: string
        regionId:
          description: BYOC가 구성되어 있으며 service를 생성할 수 있는 리전
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
        state:
          description: 인프라 상태
          enum:
            - infra-ready
            - infra-provisioning
            - infra-terminated
          type: string
    OrganizationPrivateEndpoint:
      properties:
        cloudProvider:
          description: Private Endpoint가 위치한 클라우드 제공업체
          enum:
            - gcp
            - aws
            - azure
          type: string
        description:
          description: Private Endpoint 설명
          type: string
        id:
          description: Private Endpoint 식별자
          type: string
        region:
          description: Private Endpoint가 위치한 리전
          enum:
            - ap-northeast-1
            - ap-south-1
            - ap-southeast-1
            - ap-southeast-2
            - eu-central-1
            - eu-west-1
            - eu-west-2
            - me-central-1
            - us-east-1
            - us-east-2
            - us-west-2
            - us-east1
            - us-central1
            - europe-west4
            - asia-southeast1
            - eastus
            - eastus2
            - westus3
            - germanywestcentral
          type: string
  securitySchemes:
    basicAuth:
      description: >-
        ClickHouse Cloud 콘솔에서 발급받은 key ID와 key secret을 사용합니다:
        https://clickhouse.com/docs/cloud/manage/openapi
      scheme: basic
      type: http

````